Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar.toolbox
Class StringToolbox

    java.lang.Object
      org.kemet.impl.grammar.toolbox.StringToolbox

    public class StringToolbox

extends java.lang.Object

Author:
  fabricemaupin

  Toolbox for String

Constructor Summary
`StringToolbox()`

Method Summary
`static java.lang.String` | `charToString(char c)` convert char to string.
`static java.lang.String` | `convertToString(java.lang.String[] list, java.lang.String separator)` convert array to string with a separator.
`static java.lang.String[]` | `convertToStringArray(java.util.ArrayList<java.lang.String> list)` convert list to array.
`static java.lang.String[]` | `purifiedString(java.lang.String[] str, java.lang.String[] ep)` purified list of string.
`static java.lang.String` | `purifiedString(java.lang.String str, java.lang.String[] ep)` purified string.
`static java.lang.String[]` | `stringListWithNoDouble(java.lang.String[] str)` return a list of string without double values.
`static java.lang.String` | `toSpecificEncoding(java.lang.String s, java.lang.String encoding)` convert string to a specific encoding string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringToolbox

    public StringToolbox()

Method Detail

### toSpecificEncoding

    public static java.lang.String toSpecificEncoding(java.lang.String s,
                                                      java.lang.String encoding)
                                               throws KemetAPIException

  convert string to a specific encoding string.

  Parameters:
    `s` - string to convert
    `encoding` - type of encoding caracters
  Returns:
    converted string
  Throws:
    `KemetAPIException`
  Since:
    0.1

### charToString

    public static java.lang.String charToString(char c)

  convert char to string.

  Parameters:
    `c` - char to convert
  Returns:
    converted char
  Since:
    0.1

### purifiedString

    public static java.lang.String purifiedString(java.lang.String str,
                                                  java.lang.String[] ep)

  purified string.

  Parameters:
    `str` - string to purified
    `ep` - caractersToEpurate
  Returns:
    purified string
  Since:
    0.1

### purifiedString

    public static java.lang.String[] purifiedString(java.lang.String[] str,
                                                    java.lang.String[] ep)

  purified list of string.

  Parameters:
    `str` - list of string to purified
    `ep` - caractersToEpurate
  Returns:
    purified list of string
  Since:
    0.2

### stringListWithNoDouble

    public static java.lang.String[] stringListWithNoDouble(java.lang.String[] str)

  return a list of string without double values.

  Parameters:
    `str` - list of string to epurate
  Returns:
    list of string without double values
  Since:
    0.1

### convertToStringArray

    public static java.lang.String[] convertToStringArray(java.util.ArrayList<java.lang.String> list)

  convert list to array.

  Parameters:
    `list` - list of string
  Returns:
    array of string
  Since:
    0.5

### convertToString

    public static java.lang.String convertToString(java.lang.String[] list,
                                                   java.lang.String separator)

  convert array to string with a separator.

  Parameters:
    `list` - array of string
    `separator` - separator to use between each string
  Returns:
    string
  Since:
    0.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.